<?php

namespace App\Filament\Resources\EtabProfs;

use App\Filament\Resources\EtabProfs\Pages\CreateEtabProf;
use App\Filament\Resources\EtabProfs\Pages\EditEtabProf;
use App\Filament\Resources\EtabProfs\Pages\ListEtabProfs;
use App\Filament\Resources\EtabProfs\Schemas\EtabProfForm;
use App\Filament\Resources\EtabProfs\Tables\EtabProfsTable;
use App\Models\EtabProf;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class EtabProfResource extends Resource
{
    protected static ?string $model = EtabProf::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return EtabProfForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return EtabProfsTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListEtabProfs::route('/'),
            'create' => CreateEtabProf::route('/create'),
            'edit' => EditEtabProf::route('/{record}/edit'),
        ];
    }
}
